package com.rjconsultores.ventaboletos.dao.hibernate;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Order;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.ConfRestricaoVendaWebDAO;
import com.rjconsultores.ventaboletos.entidad.ConfRestricaoVendaWeb;
import com.rjconsultores.ventaboletos.entidad.Constante;

@Repository("confRestricaoVendaWebDAO")
public class ConfRestricaoVendaWebHibernateDAO extends GenericHibernateDAO<ConfRestricaoVendaWeb, Integer>
		implements ConfRestricaoVendaWebDAO {

	@Autowired
	public ConfRestricaoVendaWebHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
		setSessionFactory(factory);
	}
	
	 @Override
	    public List<ConfRestricaoVendaWeb> obtenerTodos() {
	        Criteria c = getSession().createCriteria(getPersistentClass());
	        c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));
	     
	        return c.list();
	    }
}
